<div class="cotainer text-center">
  <!--S:WEB TITLE-->
  <div class="row sec-design">
    {{!-- <div class="social col-sm-3">
      <br>
        <a href="https://instagram.com/nilemandal" target="_blank"> <img class="social-media-insta"
          src="icons/social-media/insta.png" alt=""> </a> &nbsp;
      <a href="https://youtube.com/nilemandal" target="_blank"> <img class="social-media-youtube"
          src="icons/social-media/youtube.png" alt=""> </a>
    </div> --}}
    <div class="main-quotes col-sm-12">
      {{!-- <span class=""> || श्री गणेशाय नमः || </span> <br> --}}
      <h2> OM SAI VADA PAW </h2>
    </div>
    <div class="search sol-sm-3">
      {{!-- <svg width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-search" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
          <path fill-rule="evenodd" d="M10.442 10.442a1 1 0 0 1 1.415 0l3.85 3.85a1 1 0 0 1-1.414 1.415l-3.85-3.85a1 1 0 0 1 0-1.415z"/>
          <path fill-rule="evenodd" d="M6.5 12a5.5 5.5 0 1 0 0-11 5.5 5.5 0 0 0 0 11zM13 6.5a6.5 6.5 0 1 1-13 0 6.5 6.5 0 0 1 13 0z"/>
        </svg> --}}
      <br>
      {{!-- <input type="text" class="form-control" aria-describedby="inputGroup-sizing-sm" name="getSearchData"
        id="inp-search-content" placeholder="search..">
    </div> --}}
  </div>
  </div>
  <!--E:WEB TITLE-->

  <!--S:WEB MENU-->
  <nav>
    <ul class="nav justify-content-center">
      <li class="nav-item">
        <a class="nav-link text-dark btn" style="text-decoration: none;" href="/">Home </a>
      </li>
      <li class="nav-item">
        <a class="nav-link text-dark btn" style="text-decoration: none;" href="/food-items">Food</a>
      </li>
      <li class="nav-item">
        <a class="nav-link text-dark btn" style="text-decoration: none;" href="#">Contact</a>
      </li>
      <li class="nav-item btn-group" >
        {{#if login}}
          <a class="nav-link text-dark btn" data-toggle="dropdown" style="text-decoration: none;"> {{user.name}} </a>
          <div class="dropdown-menu">
            <a class="nav-link text-dark btn" style="text-decoration: none;" onclick="" href="#"> Profile </a>
            <a class="nav-link text-dark btn" style="text-decoration: none;" href="/checkout"> Cart </a>
            <a class="nav-link text-dark btn" style="text-decoration: none;" onclick="" href="#"> Orders </a>
            <a class="nav-link text-dark btn" style="text-decoration: none;" href="/api/logout" > Logout </a>
          </div>
        {{else}}
          <a class="nav-link text-dark btn" data-toggle="modal" data-target="#login-modal" style="text-decoration: none;" href="#">Login</a>
        {{/if}}
      </li>
    </ul>   
        
  </nav>

<!--==================================================S: Login Modal =======================================================================-->
{{!-- <button type="button" class="btn btn-primary" data-toggle="modal" data-target=".bd-example-modal-sm">Small modal</button> --}}

<div class="modal fade bd-example-modal-sm" id="login-modal" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-sm">
  
  <button type="button" class="close float-right" data-dismiss="modal" aria-label="Close">  <span aria-hidden="true">&times;</span> </button> 
    
    <div class="modal-content vertical-center">
        <ul class="nav nav-pills mb-3" id="myTab" role="tablist">
          <li class="nav-item">
            <a class="nav-link active" id="login-tab" data-toggle="tab" href="#login" role="tab" aria-controls="login" aria-selected="true">login</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="profile-tab" data-toggle="tab" href="#register" role="tab" aria-controls="register" aria-selected="false">Register</a>
          </li>
        </ul>
        <div class="tab-content" id="myTabContent">
          <div class="tab-pane fade show active" id="login" role="tabpanel" aria-labelledby="login-tab">
            <div class="form-group">
              <div id="login-step1">
                {{!-- <label for="phone"> Phone. </label> --}}
                <input type="number" name="phone" class="form-control" id="inp-login-phone" placeholder="phone *"> <br>
                {{!-- <label for="password"> password </label> --}}
                <input type="text" name="password" class="form-control" id="inp-login-password" placeholder="password"> <br>
                <span id="login-err" class="err-span">  </span>
                <input type="submit" class="btn btn-success" name="loginPassword" id="login-password-sub" onclick="loginWithPass()" value="Login"> &nbsp; &nbsp;
                <input type="submit" class="btn btn-primary" name="loginOtp" id="submit-send-otp" onclick="sendLoginOtp()" value="OTP Based Login">
              </div>

              <div id="login-step2" style="display: none;">
                <span id="otp-sent" class="err-span">  </span>
                <input type="number" name="phone" class="form-control" id="inp-login-phone-otp" readonly placeholder="phone *"> <br>
                <input type="text" name="otp" class="form-control" min="4"  id="inp-login-otp" placeholder="4 Digit Otp *"> <br>
                <span id="err-login-otp" class="err-span">  </span>
                <span id="res-err-login-otp" class="err-span">  </span>
                <input type="submit" class="btn btn-primary" name="backStep1" id="back-login-otp" onclick="goToStep1('login')" value="< Back">
                <input type="submit" class="btn btn-success" name="loginOtp" id="submit-login-otp" onclick="loginWithOtp()" value="Login">
                {{!-- <input type="submit" class="btn btn-light" name="backOtp" id="submit-back" style="display: block; margin: auto;" onclick="goToStep1('login')" value="< Back"> --}}
              </div>
            </div>
          </div>

          <div class="tab-pane fade" id="register" role="tabpanel" aria-labelledby="register-tab">
            <div class="form-group" id="step1">
              <input type="number" name="phone" class="form-control" id="inp-phone-otp-step1" placeholder="Phone *"> <br>
              <button class="btn btn-success" id="inp-phone-output" onclick="getOtpReg()"> get OTP </button>
              <span id="login-err-otp"class="err-span">  </span> 
            </div>

            <div class="form-group" style="display: none;" id="step2">
              <span id="login-err-otp-step2" class="err-span">  </span> 
              <input type="number" name="phone" class="form-control" id="inp-phone-otp-step2" placeholder="Phone *" readonly> <br>
              <input type="text" name="otp" class="form-control" min="4"  id="inp-reg-otp" placeholder="4 Digit Otp *"> <br>
              <span id="err-reg-otp" class="err-span">  </span>
              <input type="text" name="password" class="form-control"  id="inp-reg-pass" placeholder="Set Password *"> <br>
              <span id="err-reg-password" class="err-span">  </span>
              <input type="text" name="Name" class="form-control"  id="inp-reg-name" placeholder="Name *"> <br>
              <span id="err-reg-name" class="err-span">  </span>
              <button class="btn btn-primary" id="inp-resend-otp" disabled onclick="resendOtp()"> Resend OTP </button>
              <input type="submit" class="btn btn-success" name="loginOtp" id="submit-reg-otp" onclick="regWithOtp()" value="Register"> <br> <br>
              <a href="#" style="display: block; margin: auto;" onclick="goToStep1('reg')"> < Back </a>
            </div>
          </div>
        </div>
    </div>
  </div>
</div>

<!--==================================================E: Login Modal =======================================================================-->


<style>
.vertical-center {
  display: flex;
  align-items: center;
  margin-top: 20px;
}

</style>

<script>

  var patternPhone=/^\d{10}$/;

  async function getOtpReg(){
    $( "#login-err-otp" ).html('');
    let phone = $( "#inp-phone-otp-step1" ).val();
    if(patternPhone.test(phone)){
      let getOtp = (await $.post("api/get-otp",{"phone":phone}));
      if(getOtp.status == 'success'){
        
        $("#step1").css('display','none');
        $("#step2").css('display','block');
        $( "#inp-phone-otp-step2" ).val(phone);

      setTimeout(function(){
        $("#inp-resend-otp").removeAttr('disabled');
      },16000);

      }else if(getOtp.status == 'err'){
        if(getOtp.code==5){
          $("#step1").css('display','none');
          $("#step2").css('display','block');
          $( "#inp-phone-otp-step2" ).val(phone);
          $( "#login-err-otp-step2" ).html(`<p> OTP send to ${phone} </p>`);
        
          setTimeout(function(){
            $("#inp-resend-otp").removeAttr('disabled');
          },16000);
        }else if(getOtp.code=='2'){
          $( "#login-err-otp" ).html("<p> oops something went wrong try again. </p>");
        }else if(getOtp.code=='3'){
          $( "#login-err-otp" ).html("<p> Already Registered customer </br> please do Login </p>");
        }else if(getOtp.code=='4'){
          $( "#login-err-otp" ).html("<p> oops something went wrong try again. </p>");
        }
      }
    }else{
      (phone)?$( "#login-err-otp" ).html("<p> Please fill 10 digit mobile number </p>"):$(" #login-err-otp" ).html("<p> Mobile Number is Required </p>");
    }

    setTimeout(function(){
      $("#login-err-otp-step2").html('');
      $("#login-err-otp").html('');
    },3500);
  }

  async function regWithOtp(){
    $(".err-span").html('');
    var otp = $("#inp-reg-otp").val();
    var name = $("#inp-reg-name").val();
    var password = $("#inp-reg-pass").val();
    var nameRegex = /^[a-zA-Z ]{2,30}$/;
    var phone = $( "#inp-phone-otp-step2").val();
    var flag = true;

    if(!otp){
      $("#err-reg-otp").html('<p> OTP is Required </p>');
      flag = false;
    }else if( otp.toString().length != 4 ){
      $("#err-reg-otp").html('<p> 4 Digit OTP Required </p>');
      flag = false;
    }

    if(!name){
      $("#err-reg-name").html('<p> Name is Required </p>');
      flag = false;
    }else if( !nameRegex.test(name) ){
      $("#err-reg-name").html('<p> Please Enter Name without <br> Number and @#$%.. </p>');
      flag = false;
    }

    if(!password){
      $("#err-reg-password").html('<p> Password is Required </p>');
      flag = false;
    }else if(password.length < 6){
      $("#err-reg-password").html('<p> Password is to short </p>');
      flag = false;
    }

    if(flag){
      let insertReg = (await $.post('/api/register',{'name':name,'phone':phone,'password':password,'otp':otp}));
      if(insertReg.status =='success'){
        window.location.reload();
      }else{
        if(insertReg.code == 2){
          $("#login-err-otp-step2").html('<p> oops OTP Mismatch </p>');
        }else if(insertReg.code == 1){
          $("#login-err-otp-step2").html('<p> something went wrong Try Again </p>');
        }else if(insertReg.code == 3){
          $("#login-err-otp-step2").html('<p> Already Register Customer, Do login </p>');
        }

        setTimeout(function(){
          $("#login-err-otp-step2").html('<p>  </p>');
        },3000);
      }
    }
  }

  async function resendOtp(){
    let phone = $( "#inp-phone-otp-step2" ).val();
    let resendOtp = (await $.post(`api/resend-otp`,{"phone":phone}));
    if(resendOtp.status=="success"){
      $("#login-err-otp-step2").html(`<p> OTP Sent to ${phone} </p>`);
      $("#inp-resend-otp").attr('disabled','disabled');

      setTimeout(function(){
        $("#login-err-otp-step2").html(`<p>  </p>`);
        $("#inp-resend-otp").removeAttr('disabled');
      },16000);
    }else{
      $("#login-err-otp-step2").html('<p> oops something went wrong please try again </p>');
    }
  }

  async function loginWithPass(){
    $( "#login-phone-err" ).html('');
    let getPhone = $('#inp-login-phone').val();
    let getPassword = $("#inp-login-password").val();
    
    if(patternPhone.test(getPhone) && getPassword){
      let getLogin = (await $.post('/api/login-password',{'phone':getPhone,'password':getPassword}));

      if(getLogin.status=='success'){
        window.location.reload();

      }else{

        if(getLogin.code==1){
          $( "#login-err" ).html('<p> Oops something went wrong </p>');

        }else if(getLogin.code==3){
          $( "#login-err" ).html('<p> Password Mismatch </p>');

        }else if(getLogin.code==2){
          $( "#login-err" ).html('<p> Registration required for Login </p>');

        }
      }
    }else{

      if(!getPhone){
        $( "#login-err" ).html('<p> Phone Number is Required </p>');
      
      }else if(!patternPhone.test(getPhone)){
        $( "#login-err" ).html('<p> Please Fill 10 Digit Mobile Number </p>');
      
      }else if(!getPassword){
        $( "#login-err" ).html('<p> Password is Required </p>');
      
      }else{
        $( "#login-err" ).html('<p> Phone is Required </br> Password is Required for login </p>');
      }
    
    }

    setTimeout(function (){
      $( "#login-err" ).html('');
    },3500)
  }

  async function sendLoginOtp(){
    $( "#login-err" ).html('');
    $("#otp-sent").html('')

    let phone = $("#inp-login-phone").val();

    if(patternPhone.test(phone)){
      let sendOtp = (await $.post('api/send-otp',{"phone":phone}));
      
      if(sendOtp.status=='success'){
        $("#otp-sent").html(`<p> OTP sent to ${phone} </p>`)
        $("#submit-send-otp").val('Resend OTP');
        $("#submit-send-otp").attr('disabled','disabled');
        $("#login-step1").css('display','none');
        $("#login-step2").css('display','block');
        $("#inp-login-phone-otp").val(phone);
      }else{
        $( "#login-err" ).html('<p> oops something is Missing </p>');

      }

    }else{
      if(!phone){
        $( "#login-err" ).html('<p> Phone Number is Required </p>');

      }else{
        $( "#login-err" ).html('<p> Please Fill 10 Digit Mobile Number </p>');

      }
    }

    setTimeout(function (){
      $( "#login-err" ).html('');
      $("#otp-sent").html('')
    },3500)

  }
 
  async function loginWithOtp(){
    $("#err-login-otp").html('');
    $("#res-err-login-otp").html('');
    let otp = $("#inp-login-otp").val();
    let phone = $("#inp-login-phone-otp").val();
    var flag = true;

    if(!otp){
      $("#err-login-otp").html('<p> OTP is Required </p>');
      flag = false;
    }else if( otp.toString().length != 4 ){
      $("#err-login-otp").html('<p> 4 Digit OTP Required </p>');
      flag = false;
    }

    if(flag){
      let verifyOtp = (await $.post('api/verify-otp',{"otp":otp,"phone":phone}));
      if(verifyOtp.status == 'success'){
        window.location.reload();

      }else{
        if(verifyOtp.code == 1){
          $("#err-login-otp").html('<p> something went wrong </p>');

        }else if(verifyOtp.code == 2){
          $("#err-login-otp").html('<p> OTP Mismatch </p>');

        }
      }
    }

    setTimeout(function (){
      $("#err-login-otp").html('');
    },3500);

  }

  async function goToStep1(sec){
    if(sec=='login'){
      $("#login-step2").css('display','none')
      $("#submit-send-otp").val('OTP Based Login');
      $("#login-step1").css('display','block')
    }else{
      $("#step2").css('display','none')
      $("#step1").css('display','block')
    }
    
  }

</script>
